Bug 77340 - cannot open previously created .odt file
Summary: cannot open previously created .odt file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All Linux (All)
: high critical
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-04-11 19:21 UTC by David
Modified: 2014-04-22 10:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test document (10.75 KB, application/vnd.oasis.opendocument.text)
2014-04-11 19:21 UTC, David
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David 2014-04-11 19:21:24 UTC
Created attachment 97236 [details]
test document

I keep a version of LibreOffice that I keep compiled from the current source.  For the past 3 or 4 weeks I have been unable to open a number of files that I have previously created.  They work just fine in the published versions but give a read error in the 4.3 alpha version.  I have attached a sample document to this report.  The document is completely blank.  All custom styles have been removed and default style settings have been reset.  The user profile directory was also reset.
Comment 1 Thomas Hackert 2014-04-13 08:26:31 UTC
Hello David, *,
I can confirm your bug and your test document with LO Version: 4.3.0.0.alpha0+
Build ID: b7c7bd3de0fdadaf5e4769e0759d68ad17fb7bd0 TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-04-10_02:05:19 (parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel) with installed en_US lang- as well as helppack under Debian Testing i686 ... :( And I can confirm, that I can open your test document with LO Version: 4.1.6.1 Build ID: a59ce81388f477fc89db57f0c27f222f31884eb, LO Version: 4.2.3.3 Build-ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0 (both also parallel installed, but with Germanophone lang- as well as helppack) and LO Version: 4.1.5.3 Build-ID: 1c1366bba2ba2b554cd2ca4d87c06da81c05d24 (my installed version of LO, also with Germanophone lang- as well as helppack), all under Debian Testing i686 :)
HTH
Thomas.
Comment 2 Michael Stahl (CIB) 2014-04-17 20:40:40 UTC
fails with an exception when setting a PageDescName property to a value it already has...

fixed on master
Comment 3 Commit Notification 2014-04-17 20:41:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de9954f2a528867f80fda3a8596a87d478eeaaf0

fdo#77340: SwXStyle::setPropertyValue PageNumberOffset, PageDescName



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-04-22 10:46:31 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d286ffc3adb5386651e177cbc23512436d89d35f

fix the getProperty case more thoroughly (related: fdo#77340)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.